Project

General

Profile

Bug #24726

Make Katello Ruby 2.5 compliant

Added by Eric Helms over 1 year ago. Updated about 1 month ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Tooling
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:

Related issues

Has duplicate Katello - Bug #23303: hammer -r gives syntax error in katello apiDuplicate

Associated revisions

Revision 38369680 (diff)
Added by Eric Helms over 1 year ago

Fixes #24726 - Update to Ruby 2.5

Revision d10496e0 (diff)
Added by Michael Moll about 1 month ago

Refs #24726 - Set Rubocop TargetRubyVersion to 2.5

- Auto-correct Style/RedundantBegin
- Disable Performance/RegexpMatch (similar to Foreman core)

History

#1 Updated by The Foreman Bot over 1 year ago

  • Assignee set to Eric Helms
  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello/pull/7653 added

#2 Updated by Eric Helms over 1 year ago

  • Status changed from Ready For Testing to Closed

#3 Updated by John Mitsch over 1 year ago

  • Triaged changed from No to Yes
  • Target version set to Katello 3.9.0
  • Category set to Tooling

#4 Updated by John Mitsch over 1 year ago

  • Has duplicate Bug #23303: hammer -r gives syntax error in katello api added

#5 Updated by The Foreman Bot about 1 month ago

  • Pull request https://github.com/Katello/katello/pull/8581 added

Also available in: Atom PDF